# Uses of Class
com.ngrok.definitions.EndpointTlsTerminationAtEdge

Packages that use EndpointTlsTerminationAtEdge
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointTlsTerminationAtEdge in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointTlsTerminationAtEdge
  Modifier and Type
  Method
  Description
  `EndpointTlsTerminationAtEdge`
  EndpointTlsTerminationAtEdge.Builder.`build()`
  Constructs the `EndpointTlsTerminationAtEdge` instance.

- ## Uses of EndpointTlsTerminationAtEdge in com.ngrok.services

  Methods in com.ngrok.services with parameters of type EndpointTlsTerminationAtEdge
  Modifier and Type
  Method
  Description
  `HttpsEdgeTlsTerminationModule.ReplaceCallBuilder`
  HttpsEdgeTlsTerminationModule.ReplaceCallBuilder.`module(EndpointTlsTerminationAtEdge module)`
  Sets the `module` parameter.
  `EdgesHttps.CreateCallBuilder`
  EdgesHttps.CreateCallBuilder.`tlsTermination(EndpointTlsTerminationAtEdge tlsTermination)`
  Sets the `tls_termination` parameter.
  `EdgesHttps.UpdateCallBuilder`
  EdgesHttps.UpdateCallBuilder.`tlsTermination(EndpointTlsTerminationAtEdge tlsTermination)`
  Sets the `tls_termination` parameter.
  Method parameters in com.ngrok.services with type arguments of type EndpointTlsTerminationAtEdge
  Modifier and Type
  Method
  Description
  `HttpsEdgeTlsTerminationModule.ReplaceCallBuilder`
  HttpsEdgeTlsTerminationModule.ReplaceCallBuilder.`module(Optional<EndpointTlsTerminationAtEdge> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttps.CreateCallBuilder`
  EdgesHttps.CreateCallBuilder.`tlsTermination(Optional<EndpointTlsTerminationAtEdge> tlsTermination)`
  Sets (or unsets) the `tls_termination` parameter.
  `EdgesHttps.UpdateCallBuilder`
  EdgesHttps.UpdateCallBuilder.`tlsTermination(Optional<EndpointTlsTerminationAtEdge> tlsTermination)`
  Sets (or unsets) the `tls_termination` parameter.